Subject: Re: [PATCH 0/8] Intel I/O Acceleration Technology (I/OAT)

From: Evgeniy Polyakov <[email-masked]>
Date: Tue, 7 Mar 2006 10:44:39 +0300

On Mon, Mar 06, 2006 at 06:44:07PM +0100, Ingo Oeser ([email-masked]) wrote:
> Evgeniy Polyakov wrote:
> > On Sat, Mar 04, 2006 at 01:41:44PM -0800, David S. Miller ([email-masked]) wrote:
> > > From: Jan Engelhardt <[email-masked]>
> > > Date: Sat, 4 Mar 2006 19:46:22 +0100 (MET)
> > > 
> > > > Does this buy the normal standard desktop user anything?
> > > 
> > > Absolutely, it optimizes end-node performance.
> > 
> > It really depends on how it is used.
> > According to investigation made for kevent based FS AIO reading,
> > get_user_pages() performange graph looks like sqrt() function
> 
> Hmm, so I should resurrect my user page table walker abstraction?
> 
> There I would hand each page to a "recording" function, which
> can drop the page from the collection or coalesce it in the collector
> if your scatter gather implementation allows it.

It depends on where performance growth is stopped.
>>From the first glance it does not look like find_extend_vma(),
probably follow_page() fault and thus __handle_mm_fault().
I can not say actually, but if it is true and performance growth is
stopped due to increased number of faults and it's processing, 
your approach will hit this problem too, doesn't it?

> Regards
> Ingo Oeser

-- 
	Evgeniy Polyakov